commit:     8f96aaf0b2e73cc10b20ed48d74c0861695c7ab0
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Mon May  9 22:03:18 2022 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Mon May  9 22:03:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f96aaf0

dev-python/pytest-skip-markers: add 1.3.0

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/pytest-skip-markers/Manifest            |  1 +
 .../pytest-skip-markers-1.3.0.ebuild               | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/pytest-skip-markers/Manifest 
b/dev-python/pytest-skip-markers/Manifest
index 871b412ed285..2bc92351b980 100644
--- a/dev-python/pytest-skip-markers/Manifest
+++ b/dev-python/pytest-skip-markers/Manifest
@@ -1 +1,2 @@
 DIST pytest-skip-markers-1.2.0.tar.gz 79343 BLAKE2B 
7f24b454fe19210d9ecadf10317a5a32830d722b64adbaf0fa6fad70a4c0cb598fa93b782a2b0f71bd23c4f91f2007d21383b488d725f61519d064e98ddd48f8
 SHA512 
76c1d0f0af7f7a56fa95d33bd5cb078792df3f054714d2ca1baa6d861e9404e2ec734a88a0768985388b1226c399ee6b54fe082ef7fcce6fc190fcae6201a416
+DIST pytest-skip-markers-1.3.0.tar.gz 79882 BLAKE2B 
2c44711e6194aebf0a0299f8a50e6162a088023c2fff6bdb7c142060695a6977b1d4a5cc574199d8f11a5a94e413d7444f81d9e954327e8317ed1bcf3725a60f
 SHA512 
bea602032a7796be7c2dad62ba750e987b77f04349c96f6f8e1f15f5d2b58c3ba1e549a775ce7e541f6041091a578def59900a726872c8aa8b31c585e3f0c3e0

diff --git a/dev-python/pytest-skip-markers/pytest-skip-markers-1.3.0.ebuild 
b/dev-python/pytest-skip-markers/pytest-skip-markers-1.3.0.ebuild
new file mode 100644
index 000000000000..b04007948c06
--- /dev/null
+++ b/dev-python/pytest-skip-markers/pytest-skip-markers-1.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="A Pytest plugin which implements a few useful skip markers"
+HOMEPAGE="
+       https://pytest-skip-markers.readthedocs.io/en/latest/
+       https://github.com/saltstack/pytest-skip-markers
+"
+SRC_URI="https://github.com/saltstack/${PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 x86"
+
+RDEPEND="
+       >=dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+       dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+       dev-python/pytest-system-statistics[${PYTHON_USEDEP}]
+       dev-python/pytest-shell-utilities[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/pyzmq[${PYTHON_USEDEP}]
+       dev-python/msgpack[${PYTHON_USEDEP}]
+       dev-python/virtualenv[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/wheel[${PYTHON_USEDEP}]
+       dev-python/setuptools-declarative-requirements[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/pyfakefs[${PYTHON_USEDEP}]
+               dev-python/pytest-subtests[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -e "s/use_scm_version=True/version='${PV}'/" -i setup.py || die
+       sed -e "/setuptools_scm/ d" -i setup.cfg || die
+       sed -e "s/tool.setuptools_scm/tool.disabled/" -i pyproject.toml || die
+
+       printf '__version__ = "${PV}"\n' > src/pytestskipmarkers/version.py || 
die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to